FROM python:3.11.4

RUN apt-get update && apt-get install -y libgl1-mesa-glx && pip install opencv-python numpy tqdm

WORKDIR /app

COPY extractFrame_MSE_Gray.py .

ENTRYPOINT [ "python", "extractFrame_MSE_Gray.py" ]